Rock
Viva HateMorrissey
UK 1988 (His Master's Voice CSD 3787)Винил. Пластинка; LP; Альбом; Стерео
American FootballAmerican Football
UK & US 2019 (Polyvinyl Record Company PRC-025LP)Винил. Пластинка; LP; Альбом; Переиздание
Peripheral VisionTurnover
UK, Europe & US 2022 (Run For Cover Records (2) RFC122)Винил. Пластинка; LP; Альбом; Переиздание
Never Hungover AgainJoyce Manor
US 2021 (Epitaph 87352-1)Винил. Пластинка; 12"; 45 RPM; Альбом
The DonnasThe Donnas
USA & Canada 2023 (Real Gone Music RGM-1558)Винил. Пластинка; LP; Альбом; Переиздание
Read Music, Speak SpanishDesaparecidos
US 2022 (Saddle Creek LBJ-42)Винил. Пластинка; LP; Переиздание; Ремастер
Silverfish With Scrambled EggsSilverfish
UK 1992 (Creation Records CRE 118T)Винил. Пластинка; 12"; 45 RPM; EP
It Goes On
Europe 2026 (Island Records 5795203)Винил. Пластинка; LP; Альбом; Стерео
Chutes Too NarrowThe Shins
UK & Europe 2023 (Sub Pop SP 1570)Винил. Пластинка; LP; Альбом; Лимитированное издание
DomesticaCursive
US 2025 (Run For Cover Records (2) RFC305)Винил. Пластинка; LP; Альбом; Переиздание
Courting StrongMartha
US 2014 (Salinas Records SAL-056)Винил. Пластинка; LP; Альбом; Стерео
This Is Really Going To HurtFlyte
Europe 2021 (Island Records 3559379)Винил. Пластинка; LP; Альбом; Лимитированное издание
Achilles HeelPedro The Lion
US 2018 (Jade Tree JT1095)Винил. Пластинка; LP; Альбом; Переиздание
Dogs On AcidDogs On Acid
US 2015 (Jade Tree JT1141)Винил. Пластинка; LP; Альбом; Стерео
Elsewhere For 8 MinutesSomething For Kate
Australia 2022 (Murmur 19658737561)Винил. Пластинка; LP; Альбом; Переиздание
Blind Among The FlowersThe Tourists
UK 1979 (Logo GO 350)Винил. Пластинка; 7"; 45 RPM; Сингл
Pop, Rock
Emphatically No.Cheekface
US 2021 (New Professor Music NPM 2101)Винил. Пластинка; LP; Repress; Стерео
Freaky Deaky: The Cheeky DiscographyCheeky
US 2021 (Quote Unquote Records qur114)Винил. Пластинка; Сборник; LP; Стерео
Electronic, Pop, Rock
New AlbumBoris
Japan 2022 (KiliKiliVilla KKV-142VL)Винил. Пластинка; 7"; 33 ⅓ RPM; 45 RPM
Maid To MinxLung Leg
UK 2022 (Last Night From Glasgow PNFG31)Винил. Пластинка; LP; Альбом; Переиздание
Empty RoomsThe Hazmats
UK 2022 (Static Shock Records SSR084)Винил. Пластинка; 7"; 45 RPM; Лимитированное издание
Start All Over AgainThe Berries
US 2018 (Help Yourself Records HY016)Винил. Пластинка; LP; Альбом; Стерео
Bad Dream JaguarSun June
US 2023 (Run For Cover Records (2) RFC-265)Винил. Пластинка; 12"; 33 ⅓ RPM; Альбом
The MedsThe Virginmarys
UK & Ireland 2022 (Three Hearts Limited MACHO004LP)Винил. Пластинка; 7"; 45 RPM; Сингл
Они помогают запоминать настройки и обеспечивать работу сервиса. Сайтом можно пользоваться и без нажатия «Принять» — баннер снова появится при следующем заходе, пока вы не согласитесь.